Name:          clamav-gui
Version:       0.4.2
Release:       1mamba
Summary:       Qt front-End for the ClamAV virus scanner
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://store.kde.org/p/1127892/
Source:        https://sourceforge.net/projects/pisilinux/files/source/ClamAV-GUI-%{version}.tgz
Patch0:        clamav-gui-0.4.2-missing-qpainterpath-include.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
Provides:      klamav
Obsoletes:     klamav < 0.4.2
Requires:      clamav

%description
Qt front-End for the ClamAV virus scanner.

%debug_package

%prep
%setup -q -n ClamAV-GUI-%{version}
%patch0 -p1

%build
qmake-qt5
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde5_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
update-desktop-database -q >/dev/null 2>&1
update-mime-database -n %{_kde5_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database -n %{_kde5_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde5_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_bindir}/clamav-gui
%{_datadir}/applications/clamav-gui.desktop
%dir %{_datadir}/clamav-gui
%{_datadir}/clamav-gui/clamav-gui*.qm
%{_datadir}/clamav-gui/clamav-gui.png
%{_datadir}/doc/ClamAV-GUI/CHANGES
%{_datadir}/doc/ClamAV-GUI/README
%{_datadir}/icons/hicolor/*/apps/clamav-gui.png
%lang(de) %{_mandir}/de/man1/clamav-gui.1*
%lang(da_DK) %{_mandir}/da_DK/man1/clamav-gui.1.tar.gz
%lang(en_GB) %{_mandir}/en_GB/man1/clamav-gui.1*

%changelog
* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Thu Mar 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- package created using the webbuild interface
